Updates configuration of a specific cluster.Ask AIpost https://api.cast.ai/v1/kubernetes/clusters/{clusterId}/node-configurations/{id}Path ParamsclusterIdstringrequiredThe ID of the cluster.idstringrequiredThe ID of the node configuration.Body ParamsNode configuration update.diskCpuRatioint32Disk to CPU ratio. Sets the number of GiBs to be added for every CPU on the node. The root volume will have a minimum of 100GiB and will be further increased based on value.subnetsarray of stringsSubnet ids to be used for provisioned nodes.subnetsADD stringsshPublicKeystring | nullOptional SSH public key to be used for provisioned nodes. Value should be base64 encoded.imagestring | nullImage to be used while provisioning the node. Image setting takes precedence over image family. If both image and image family are empty, the latest image from a default family will be used, depending on the cloud provider.tagsobjectTags to be added on cloud instances for provisioned nodes.tags objecteksobjecteks objectaksobjectaks objectkopsobjectkops objectgkeobjectgke objectselfHostedWithEc2NodesobjectselfHostedWithEc2Nodes objectinitScriptstring | nullInit script to be run on your instance at launch. Should not contain any sensitive data. Value should be base64 encoded.containerRuntimestringenumDefaults to UNSPECIFIEDList of supported container runtimes kubelet should use.UNSPECIFIEDunspecifiedDOCKERDdockerdCONTAINERDcontainerdAllowed:UNSPECIFIEDunspecifiedDOCKERDdockerdCONTAINERDcontainerdminDiskSizeint32 | nullMinimal disk size in GiB. Defaults to 100.drainTimeoutSecint32 | nullDrain timeout in seconds. Defaults to 0.Response 200Updated configuration.Updated 7 months ago